<block-ui message="Loading..."> </block-ui>
<div class="col-xl-12 c-alert pl-0 pr-0">
  <app-alert [message]="displaySuccessMessage" [type]="messageType.success" id="alert">
  </app-alert>
</div>
<div>
  <span id="heading">SMS Template</span>
  <mat-tab-group color="warn">
    <mat-tab label="Details">
      <div class="row mt-3">
        <div class="col-xl-5">
        </div>
        <div class="col-xl-7 d-flex justify-content-end align-items-center">
          <div class="ml-auto" *ngIf="listViewSMSShow">
            <mat-button-toggle-group appearance="legacy" name="status" aria-label="status" class="ml-3" value="active" (change)="SmsActiveChanged($event)">
              <mat-button-toggle value="active" id="mat-button-toggle-11">Active</mat-button-toggle>
              <mat-button-toggle value="inactive" id="mat-button-toggle-12">Inacitve</mat-button-toggle>
            </mat-button-toggle-group>
          </div>
          <div class="ml-3">
            <button *appAccess="moduleName;lookFor: ['C']" mat-raised-button color="accent" [routerLink]="['/settings/smstemplate/add']" class="wide">
              Add Template
            </button>
          </div>
        </div>
      </div>
      <div *ngIf="listViewSMSShow" class="mt-3">
        <kendo-grid [data]="gridView" [pageSize]="pageSize" [skip]="skip" [pageable]="true" [columnMenu]="true" [reorderable]="true" [filterable]="true" [filter]="statestatus.filter" (dataStateChange)="dataStateChangestatus($event)" [sortable]="true" [groupable]="true"
                    [group]="groups" [reorderable]="reorder" [sortable]="{
                      allowUnsort: allowUnsort,
                      mode: multiple ? 'multiple' : 'single'
                    }" [sort]="sort" (sortChange)="sortChangestatus($event)" (groupChange)="groupChangestatus($event)">

          <kendo-grid-column width="60" field="name">
            <ng-template kendoGridHeaderTemplate let-column let-columnIndex="columnIndex">
              Name
            </ng-template>
            <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
              <h6>
                <a class="bold_20px_font" [routerLink]="['/settings/smstemplate/edit', dataItem.id]">
                  {{ dataItem.name }}
                </a>
              </h6>
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="description" title="Description" width="50" [style]="{'text-align': 'left'}">
            <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
              <span class="descriptionText">{{ dataItem.description }}</span>
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="locationName" title="Location" width="50">
          </kendo-grid-column>
          <kendo-grid-column field="modifiedBy" title="Created By" width="50">
          </kendo-grid-column>
          <kendo-grid-column field="modifiedDate" title="Created On" width="50">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.modifiedDate | date: 'dd/MM/yyyy' }}
            </ng-template>
          </kendo-grid-column>
        </kendo-grid>
      </div>
      <app-grid-no-data [title]="smsTitle" [routeLink]="smsRouteLink" [routeName]="smsRouteName" [description]="smsDescription" id="smsNoData">
      </app-grid-no-data>
    </mat-tab>
  </mat-tab-group>
</div>
